# HG changeset patch
# Node ID 62f867ee8d5c
# Parent  b7174f76d7ee
diff --git a/gnt-skel.c b/gnt-skel.c
--- a/gnt-skel.c
+++ b/gnt-skel.c
@@ -100,7 +100,8 @@ gnt_skel_init(G_GNUC_UNUSED GntSkel *sel
 /******************************************************************************
  * GntSkel API
  *****************************************************************************/
-GntWidget *gnt_skel_new()
+GntWidget *
+gnt_skel_new(void)
 {
 	GntWidget *widget = g_object_new(GNT_TYPE_SKEL, NULL);
 	GntSkel *skel = GNT_SKEL(widget);
diff --git a/gntcolors.c b/gntcolors.c
--- a/gntcolors.c
+++ b/gntcolors.c
@@ -67,7 +67,8 @@ restore_colors(void)
 	}
 }
 
-void gnt_init_colors()
+void
+gnt_init_colors(void)
 {
 	static gboolean init = FALSE;
 	int defaults;
@@ -131,7 +132,7 @@ void gnt_init_colors()
 }
 
 void
-gnt_uninit_colors()
+gnt_uninit_colors(void)
 {
 	if (can_use_custom_color())
 		restore_colors();
diff --git a/gntcombobox.c b/gntcombobox.c
--- a/gntcombobox.c
+++ b/gntcombobox.c
@@ -355,7 +355,8 @@ gnt_combo_box_init(GntComboBox *combo)
 /******************************************************************************
  * GntComboBox API
  *****************************************************************************/
-GntWidget *gnt_combo_box_new()
+GntWidget *
+gnt_combo_box_new(void)
 {
 	GntWidget *widget = g_object_new(GNT_TYPE_COMBO_BOX, NULL);
 
diff --git a/gntkeys.c b/gntkeys.c
--- a/gntkeys.c
+++ b/gntkeys.c
@@ -37,7 +37,8 @@ char *gnt_key_cright;
 static const char *term;
 static GHashTable *specials;
 
-void gnt_init_keys()
+void
+gnt_init_keys(void)
 {
 	const char *controls[] = {"", "c-", "ctrl-", "ctr-", "ctl-", NULL};
 	const char *alts[] = {"", "alt-", "a-", "m-", "meta-", NULL};
@@ -301,7 +302,8 @@ print_path(struct _node *node, int depth
 
 /* this is purely for debugging purposes. */
 void gnt_keys_print_combinations(void);
-void gnt_keys_print_combinations()
+void
+gnt_keys_print_combinations(void)
 {
 	g_printerr("--------\n");
 	print_path(&root, 1);
diff --git a/gntmain.c b/gntmain.c
--- a/gntmain.c
+++ b/gntmain.c
@@ -439,7 +439,7 @@ end:
 }
 
 static void
-setup_io()
+setup_io(void)
 {
 	guint result;
 
@@ -616,7 +616,8 @@ init_wm(void)
 		wm = g_object_new(GNT_TYPE_WM, NULL);
 }
 
-void gnt_init()
+void
+gnt_init(void)
 {
 	char *filename;
 	const char *locale;
@@ -708,7 +709,8 @@ void gnt_init()
 	clipboard = g_object_new(GNT_TYPE_CLIPBOARD, NULL);
 }
 
-void gnt_main()
+void
+gnt_main(void)
 {
 	GMainLoop *loop = g_main_loop_new(NULL, FALSE);
 	gnt_wm_set_mainloop(wm, loop);
@@ -782,7 +784,8 @@ void gnt_widget_set_urgent(GntWidget *wi
 	gnt_wm_update_window(wm, widget);
 }
 
-void gnt_quit()
+void
+gnt_quit(void)
 {
 	/* Prevent io_invoke() from being called after wm is destroyed */
 	if (channel_error_callback) {
@@ -807,7 +810,8 @@ void gnt_quit()
 	g_clear_pointer(&custom_config_dir, g_free);
 }
 
-gboolean gnt_ascii_only()
+gboolean
+gnt_ascii_only(void)
 {
 	return ascii_only;
 }
@@ -869,12 +873,14 @@ void gnt_set_clipboard_string(const gcha
 	gnt_clipboard_set_string(clipboard, string);
 }
 
-GntClipboard *gnt_get_clipboard()
+GntClipboard *
+gnt_get_clipboard(void)
 {
 	return clipboard;
 }
 
-gchar *gnt_get_clipboard_string()
+gchar *
+gnt_get_clipboard_string(void)
 {
 	return gnt_clipboard_get_string(clipboard);
 }
@@ -927,7 +933,8 @@ gboolean gnt_giveup_console(const char *
 	return TRUE;
 }
 
-gboolean gnt_is_refugee()
+gboolean
+gnt_is_refugee(void)
 {
 	return (wm &&
 	        gnt_wm_get_keypress_mode(wm) == GNT_KP_MODE_WAIT_ON_CHILD);
diff --git a/gntstyle.c b/gntstyle.c
--- a/gntstyle.c
+++ b/gntstyle.c
@@ -423,7 +423,8 @@ void gnt_style_read_configure_file(const
 	read_general_style(gkfile);
 }
 
-void gnt_init_styles()
+void
+gnt_init_styles(void)
 {
 	int i;
 	for (i = 0; i < GNT_STYLES; i++)
@@ -434,7 +435,8 @@ void gnt_init_styles()
 	}
 }
 
-void gnt_uninit_styles()
+void
+gnt_uninit_styles(void)
 {
 	int i;
 	for (i = 0; i < GNT_STYLES; i++) {
diff --git a/gnttextview.c b/gnttextview.c
--- a/gnttextview.c
+++ b/gnttextview.c
@@ -496,7 +496,8 @@ gnt_text_view_init(GntTextView *view)
 /******************************************************************************
  * GntTextView API
  *****************************************************************************/
-GntWidget *gnt_text_view_new()
+GntWidget *
+gnt_text_view_new(void)
 {
 	GntWidget *widget = g_object_new(GNT_TYPE_TEXT_VIEW, NULL);
 
diff --git a/gnttree.c b/gnttree.c
--- a/gnttree.c
+++ b/gnttree.c
@@ -1272,7 +1272,8 @@ free_tree_row(gpointer data)
 	g_free(row);
 }
 
-GntWidget *gnt_tree_new()
+GntWidget *
+gnt_tree_new(void)
 {
 	return gnt_tree_new_with_columns(1);
 }
diff --git a/gntwindow.c b/gntwindow.c
--- a/gntwindow.c
+++ b/gntwindow.c
@@ -125,7 +125,8 @@ gnt_window_init(GntWindow *win)
 /******************************************************************************
  * GntWindow API
  *****************************************************************************/
-GntWidget *gnt_window_new()
+GntWidget *
+gnt_window_new(void)
 {
 	GntWidget *widget = g_object_new(GNT_TYPE_WINDOW, NULL);
 
diff --git a/test.c b/test.c
--- a/test.c
+++ b/test.c
@@ -42,7 +42,8 @@ w_scroll(GntWidget *tree)
 	return TRUE;
 }
 
-int main()
+int
+main(void)
 {
 	gnt_init();
 
diff --git a/test/file.c b/test/file.c
--- a/test/file.c
+++ b/test/file.c
@@ -6,7 +6,8 @@ file_selected(GntFileSel *sel, const cha
 	g_printerr("%s %s\n", path, filename);
 }
 
-int main()
+int
+main(void)
 {
 	freopen(".error", "w", stderr);
 	fprintf(stdout, "\x1b]1;\x07\x1b]2;TEST\x07");
diff --git a/test/key.c b/test/key.c
--- a/test/key.c
+++ b/test/key.c
@@ -1,6 +1,7 @@
 #include <ncurses.h>
 
-int main()
+int
+main(void)
 {
 	int ch;
 
diff --git a/test/parse.c b/test/parse.c
--- a/test/parse.c
+++ b/test/parse.c
@@ -1,6 +1,7 @@
 #include <gnt.h>
 
-int main()
+int
+main(void)
 {
 	GntWidget *win, *button;
 
diff --git a/test/wm.c b/test/wm.c
--- a/test/wm.c
+++ b/test/wm.c
@@ -11,7 +11,7 @@ key_pressed(GntEntry *entry, const char 
 	{
 		const char *cmd;
 		void *handle;
-		void (*func)();
+		void (*func)(int, char**);
 
 		cmd = gnt_entry_get_text(entry);
 		handle = g_module_open(cmd, G_MODULE_BIND_LOCAL);
